<?php

require_once 'global_params.php';
require_once 'db.php';

require 'mandrill/Mandrill.php';
require 'textmagic-sms-api-php/TextMagicAPI.php';

require_once("/home/expressgroup/public_html/emailcontainer/masteremailcontainer.php");

if ($_SERVER['HTTP_HOST'] == 'localhost') {
    require_once 'H:/xampp/htdocs/minions/unsub_email/unsubscribe.php';
} else {
    require_once '/home/expressgroup/public_html/emailcontainer/unsub_email/unsubscribe.php';
}

class ESignatureCron extends DBConnect {

    public $emailSubjects = array("{FIRSTNAME}, Polite Reminder", "{FIRSTNAME}, Myths and Truths", "{FIRSTNAME}, Peter's Story", "{FIRSTNAME}, No Sale, No Estate Agency Fee", "{FIRSTNAME}, The Blueprint", "{FIRSTNAME}, 13 Reasons", " {FIRSTNAME}, Your FAQs", "{FIRSTNAME}, are you still selling your property?", "{FIRSTNAME}, the big estate agency myth", "{FIRSTNAME}, 90 Days", " {FIRSTNAME}, 150 Days", "{FIRSTNAME}, 250 Days", " {FIRSTNAME}, One Year");
    private $CronUsers = array();
    private $fromName = 'ESignature';
    private $fromEmail = 'Admin@no-reply.com';
    private $baseURL = 'http://expresspg.co.uk/fms/internal/fms/web/index.php/';
    private $rootURL = 'http://expresspg.co.uk/fms/esignature_cron/';
//    private $baseURL = 'http://localhost/esignature_cron/';
//    private $rootURL = 'http://localhost/esignature_cron/';

    private $key = "*#Jerus@!em#@";

    public function __construct() {

        parent::__construct();
    }

    public function appendCronUsers($user) {

        array_push($this->CronUsers, $user);
    }

    public function getContracts($id = null, $agreement_status_id = null) {

        $query = "SELECT u.email as psc_email,contract_id,u.first_name as pc_first_name,u.username,u.last_name,u.direct_dial,c.first_name,c.email,c.created_date,DATEDIFF(now(),c.created_date) as execTime,telephone_number,c.agreement_status_id,c.drip_email_date,c.is_viewed FROM `contract` c INNER JOIN users u on u.user_id = c.user_id WHERE `agreement_status_id` = $agreement_status_id";

        if ($id != null) {
            $query .= " AND contract_id = $id";
        }

        $sth = $this->db->prepare($query);
        $sth->execute();
        $result = $sth->fetchAll(PDO::FETCH_ASSOC);
        return $result;
    }

    public function PhoneNumberFormat($PhoneNumber) {
        $PhoneNumber = str_replace(" ", "", $PhoneNumber);
        if (is_numeric($PhoneNumber)) {
            if ($PhoneNumber[0] != 0 && $PhoneNumber[0] != 4) {
                $PhoneNumber = "0" . $PhoneNumber;
            }
            if ($PhoneNumber[0] == 0) {
                $PhoneNumber[0] = str_replace("0", "4", $PhoneNumber[0]);
                $PhoneNumber = "4" . $PhoneNumber;
            }
            $PhoneNumber = str_replace(" ", "", $PhoneNumber);
            return $PhoneNumber;
        } else {
            return false;
        }
    }

    public function ContractSMSText() {
        $MessageText = "Are you ready to instruct Express Estate Agency? NEXT STEP - click the following link to review and sign our Terms and Conditions ";
        return $MessageText;
    }

    public function ContractSMSTextForLandlordContract() {
        $MessageText = "Are you ready to instruct Express Letting Agency? NEXT STEP - click the following link to review and sign our Terms and Conditions ";
        return $MessageText;
    }

    public function BitliLink($ContractBitLyUrl) {
        $ch = curl_init();
        $user_agent = "Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)";
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_USERAGENT, $user_agent);
        curl_setopt($ch, CURLOPT_HTTPGET, 1);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
        curl_setopt($ch, CURLOPT_URL, $ContractBitLyUrl);
        $response = curl_exec($ch);
        curl_close($ch);
        $response_json_decoded = json_decode($response, TRUE);

        $ResultURL = "";
        if ($response_json_decoded['status_code'] == 200) {
            $ResultURL = $response_json_decoded['data']['url'];
        }
        return $ResultURL;
    }

    public function BitlySmsUrl($ContractId, $agreement = null) {
        $UserName = "dlogic";
        $ApiKey = "R_477d12d8425c452c862840a5c9c3b19e";

        $ContractURL = $this->setLink($ContractId, $agreement);

        $OnlineContractUrl = urlencode($ContractURL);

        $ContractBitLyUrl = "http://api.bit.ly/v3/shorten?login=$UserName&apiKey=$ApiKey&longUrl=$OnlineContractUrl&format=json";
        $ContractBitLyUrl = $this->BitliLink($ContractBitLyUrl);
        if (!empty($ContractBitLyUrl)) {
            return $ContractBitLyUrl;
        } else {
            return $ContractURL;
        }
    }

    public function SendSMSUsingCurl($url) {
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_USERAGENT, "Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)");
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
        curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 0);
        curl_setopt($ch, CURLOPT_TIMEOUT, 60);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
        $data = curl_exec($ch);
        curl_close($ch);
        return $data;
    }

    public function ValidMobileUk($PhoneNumber) {
        $PhoneNumber = str_replace(" ", "", $PhoneNumber);

        if (substr($PhoneNumber, 0, 2) == '07' || substr($PhoneNumber, 0, 5) == '00447' || substr($PhoneNumber, 0, 4) == '+447' || substr($PhoneNumber, 0, 3) == '447') {

            return true;
        } else {
            return false;
        }
    }

    public function SMSSendToUser($UserData) {
        $PhoneNumber = $UserData['telephone_number'];
        $validPhoneNumber = $this->PhoneNumberFormat($PhoneNumber);
        $validUkNum = $this->ValidMobileUk($validPhoneNumber);
        $ContractId = $UserData['contract_id'];
        if ($validPhoneNumber != false && $validUkNum != false) {
            try {
                //$TextMagicAPI = new TextMagicAPI(array("username" => "csbrogan", "password" => "standard17"));
                //$phone = array($PhoneNumber);
                //  $msgdate = strtotime("+1 min");
                //mail('umair.ashraf@dynamologic.com','Test SMS Number',$PhoneNumber);
                $SMSContent = $this->ContractSMSText();
                $BitlyLink = $this->BitlySmsUrl($ContractId);
                $MessageText = $SMSContent . $BitlyLink;
                //$result = $TextMagicAPI->send($MessageText, $phone, true);


                $userName = "csbrogan";
                $password = "standard17";

                $url = "https://www.textmagic.com/app/api?";
                $url .= "username=$userName&password=$password";
                $url .= "&cmd=send&text=" . urlencode($MessageText);
                $url .= "&phone=$PhoneNumber&unicode=1&from=ExpressEA";
                $response = $this->SendSMSUsingCurl($url);
            } catch (Exception $e) {
                echo '<pre>';
                print_r($e);
                exit;
            }
        }
    }

    public function insertCronHistory() {


        $insertionQuery = "INSERT INTO `cron_history`(`contract_id`, `notified_datetime`,`notified_type`) VALUES ";


        $time = date('Y-m-d h:i:s');


        foreach ($this->CronUsers as $result) {

            $insertionQuery .= "(" . $result['contract_id'] . ",'$time','email'),";
        }

        $insertionQuery = rtrim($insertionQuery, ',');


        $sth = $this->db->prepare($insertionQuery);

        $sth->execute();
    }

    public function setLink($id, $agreement = null) {

        if ($agreement == 4) {
            $encrypted_contract_id = base64_encode($id);
            $link = "https://www.expressestateagency.co.uk/instruct/web/index.php/crd" . $encrypted_contract_id;
            return $link;
        }

        $encrypted_string = $this->email_encrypt($id);
        $link = $this->baseURL . "subscribe/contract/" . $encrypted_string;
        return $link;
    }

    public function setViewLink($id) {

        $encrypted_string = $this->email_encrypt($id);
        $link = $this->rootURL . "email_cron.php?view=" . $encrypted_string;
        return $link;
    }

    public function setWebViewLink($id) {

        $encrypted_string = $this->email_encrypt($id);
        $link = $this->baseURL . "subscribe/webpage/" . $encrypted_string;
        return $link;
    }

    public function setUnsubscribelink($id) {

        $encrypted_string = $this->email_encrypt($id);
        $link = $this->baseURL . "subscribe/unsubscribe/" . $encrypted_string;
        return $link;
    }

    public function email_encrypt($string) {

        //$key = $this->key;
        // $encrypted = base64_encode(mcrypt_encrypt(MCRYPT_RIJNDAEL_256, md5($key), $string, MCRYPT_MODE_CBC, md5(md5($key))));

        $encrypted = md5($string);

        return $encrypted;
    }

    public function sendEmail($data, $body, $subject) {

        $link = $this->setLink($data['contract_id']);

        if ($data['agreement_status_id'] == 4) {
            $encrypted_contract_id = base64_encode($data['contract_id']);
            $link = "https://www.expressestateagency.co.uk/instruct/web/index.php/crd" . $encrypted_contract_id;
        }

        $viewLink = $this->setViewLink($data['contract_id']);
        $WebViewLink = $this->setWebViewLink($data['contract_id']);
        $UnSubscribelink = $this->setUnsubscribelink($data['contract_id']);

        $name = ucwords($data['first_name']);

        $PSCName = ucwords($data['pc_first_name']) . ' ' . ucwords($data['last_name']);
        $DirectDial = $data['direct_dial'];
        $EmailAddress = $data['email'];

        $parameterToReplace = array("{FIRSTNAME}", "{PSCNAME}", "{LINK}", "{VIEWLINK}", "{DirectDial}", "{CUSTOMEREMAIL}", "{UnSubscribe}");

        $replaceParmeter = array($name, $PSCName, $link, $WebViewLink, $DirectDial, $EmailAddress, $UnSubscribelink);
        $msg = str_replace($parameterToReplace, $replaceParmeter, $body);

        $this->SendEmailUsingMasterEmailMethod($subject, $data['psc_email'], $PSCName, $data['email'], $msg);
    }

    public function echoViewPage($contract_id, $body) {


        $link = $this->setLink('contract_' . $contract_id);

        $data = $this->getContracts($contract_id);


        $name = ucwords($data[0]['first_name']);

        $PSCName = ucwords($data[0]['username']);


        $parameterToReplace = array("{FIRSTNAME}", "{PSCNAME}", "{LINK}", "{VIEWLINK}");

        $replaceParmeter = array($name, $PSCName, $link, "javascript:void(0)");

        $msg = str_replace($parameterToReplace, $replaceParmeter, $body);


        echo $msg;
    }

    public function SendEmailUsingMasterEmailMethod($Subject, $From, $PscName, $To, $Body) {
        $Body = \unsubscribe::replaceWithUnsubLink(['email' => $To, 'subject' => $Subject, 'project' => "FMS", 'server_info' => $_SERVER], $Body);

        $objEmailInfo = new \EmailInfo();
        $objEmailInfo->_EmailBody = $Body;
        $objEmailInfo->_EmailSubject = $Subject;
        $objEmailInfo->_FromEmailAddress = $From;
        $objEmailInfo->_FromName = $PscName;
        $objEmailInfo->_ToEmailAddress = $To;

        $EmailSending = \MasterEmailContainer::SendEmail($objEmailInfo);

        return $EmailSending;
    }

    public static function SendRequestToCenteralServerForTwilioAutoSMS($userDataArray) {
        //mail('umair.ashraf@dynamologic.com','test','abcd');
        $CentralURL = "http://6gvt-nynn.accessdomain.com/spcentralengine/request.action.php";
        $UserData['domain'] = 'eea';
        $UserData['telephone'] = $userDataArray['telephone'];
        //mail('umair.ashraf@dynamologic.com','SendRequestToCenteralServerForTwilioAutoSMS-email_cron_drip',$UserData['telephone']);
        $UserData['twilioautosms_body'] = utf8_encode($userDataArray['twilioautosms_body']);
        $actions_arry = json_encode(array(array('name' => 'Twilio_AutoSMS', 'value' => 'Twilio_AutoSMS')));
        $UserData = json_encode($UserData);
        $api_request = 'method=requiredactions'
                . '&actionsarray=' . $actions_arry
                . '&userdata=' . $UserData;

        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, "{$CentralURL}");
        curl_setopt($ch, CURLOPT_VERBOSE, 1);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $api_request);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        $response = curl_exec($ch);
        curl_close($ch);
        return $response;
    }

    public function setSMTPCRD($fromName, $fromEmail) {


        $mail = new PHPMailer;


        $mail->isSMTP();

        $mail->Host = 'smtp.mandrillapp.com';

        $mail->SMTPAuth = true;

        $mail->Username = 'mark.brogan@expressestateagency.co.uk';

        $mail->Password = 'nwmmXUhm1LZqjrqy_G_sBg';

        $mail->SMTPSecure = 'tls';

        $mail->Port = 587;


        $mail->From = $fromEmail;

        $mail->FromName = $fromName;


        return $mail;
    }

    public function email_decrypt($encrypted) {

        $key = $this->key;

        $decrypted = rtrim(mcrypt_decrypt(MCRYPT_RIJNDAEL_256, md5($key), base64_decode($encrypted), MCRYPT_MODE_CBC, md5(md5($key))), "\0");

        return $decrypted;
    }

}

$obj = new ESignatureCron();


/*
  |--------------------------------------------------------------------------
  | Deferred Contracts
  |--------------------------------------------------------------------------
 */

$contracts = $obj->getContracts(null, 4);

if ($contracts != false && !empty($contracts)) {
    echo '<br>inside deffered cron<br>';
    foreach ($contracts as $contract) {
        $ourDate = "";
        $is_viewed = $contract['is_viewed'];
        $ContractId = $contract['contract_id'];
        if ($contract['drip_email_date'] == '0000-00-00 00:00:00') {
            $ourDate = $contract['created_date'];
        } else if ($contract['drip_email_date'] != '0000-00-00 00:00:00' && $contract['drip_email_date'] != '1111-11-11 11:11:11') {
            $ourDate = $contract['drip_email_date'];
        }

        if ($ourDate != "" && $contract['agreement_status_id'] == 4) {
            $datetime1 = date_create($ourDate);
            $datetime2 = date_create(date('Y-m-d H:i:s'));
            if ($datetime2 > $datetime1) {
                $interval = date_diff($datetime1, $datetime2);
                $years = $interval->format('%y');
                $months = $interval->format('%m');
                $days = $interval->format('%d');
                $hours = $interval->format('%h');
                $minutes = $interval->format('%i');
                echo $contract['contract_id'] . ' == ' . $years . ' -- ' . $months . ' -- ' . $days . ' -- ' . $hours . ' -- ' . $minutes;
                echo '<br>';
                if ($years == 0 && $months == 0 && $days == 1 && $is_viewed == 0) {
                    echo '<pre>1 day <br>';
                    print_r($contract);
                    //mail('areeba.azhar@dynamologic.com','AMS cron response- day 1 check deffered '.$attempts,print_r($contract, true)); // added by Areeba Azhar
                    $body = file_get_contents($templateURL . '1_day_email_defer.php');
                    $subject = $contract['first_name'] . ", Polite Reminder";

                    $email = $obj->sendEmail($contract, $body, $subject);
                    //mail('areeba.azhar@dynamologic.com','AMS cron response- after sending email '.$attempts,print_r($email, true)); // added by Areeba Azhar
                    //----------------------------------------------------------------------

                    $SMSContent = $obj->ContractSMSText();
                    $BitlyLink = $obj->BitlySmsUrl($ContractId, 4);
                    $MessageText = $SMSContent . $BitlyLink;
                    $contract['telephone_number'] = $obj->PhoneNumberFormat($contract['telephone_number']);
                    $validUkNum = $obj->ValidMobileUk($contract['telephone_number']);
                    $userDataArray = array('twilioautosms_body' => $MessageText, 'telephone' => $contract['telephone_number']);
                    if ($contract['telephone_number'] != false && $validUkNum != false) {
                        $obj->SendRequestToCenteralServerForTwilioAutoSMS($userDataArray);
                    }
                } else if ($years == 0 && $months == 0 && $days == 5 && $is_viewed == 0) {
                    echo '<pre>5 day <br>';
                    print_r($contract);
                    //mail('areeba.azhar@dynamologic.com','AMS cron response- day 5 check deffered '.$attempts,print_r($contract, true)); // added by Areeba Azhar

                    $body = file_get_contents($templateURL . '5_day_email_defer.php');
                    $subject = $contract['first_name'] . ", Myths and Truths";
                    $obj->sendEmail($contract, $body, $subject);
                    //mail('areeba.azhar@dynamologic.com','AMS cron response- after sending email '.$attempts,print_r($email, true)); // added by Areeba Azhar
                    //----------------------------------------------------------------------


                    $SMSContent = $obj->ContractSMSText();
                    $BitlyLink = $obj->BitlySmsUrl($ContractId, 4);
                    $MessageText = $SMSContent . $BitlyLink;
                    $contract['telephone_number'] = $obj->PhoneNumberFormat($contract['telephone_number']);
                    $validUkNum = $obj->ValidMobileUk($contract['telephone_number']);
                    $userDataArray = array('twilioautosms_body' => $MessageText, 'telephone' => $contract['telephone_number']);
                    if ($contract['telephone_number'] != false && $validUkNum != false) {
                        $obj->SendRequestToCenteralServerForTwilioAutoSMS($userDataArray);
                    }
                    /* $userDataArray = array('twilioautosms_body' => $MessageText, 'telephone' => $contract['telephone_number']);
                      $obj->SendRequestToCenteralServerForTwilioAutoSMS($userDataArray); */
                }
            }
        }
    }
}

/*
  |--------------------------------------------------------------------------
  | Landlord Contracts
  |--------------------------------------------------------------------------
 */
unset($contracts);
$contracts = $obj->getContracts(null, 5);

if ($contracts != false && !empty($contracts)) {
    echo '<br>inside landlord cron<br>';
    foreach ($contracts as $contract) {

        $is_viewed = $contract['is_viewed'];
        $ContractId = $contract['contract_id'];
        $datetime1 = date_create($contract['created_date']);
        $datetime2 = date_create(date('Y-m-d H:i:s'));
        if ($datetime2 > $datetime1) {
            $interval = date_diff($datetime1, $datetime2);
            $years = $interval->format('%y');
            $months = $interval->format('%m');
            $days = $interval->format('%d');
            $hours = $interval->format('%h');
            $minutes = $interval->format('%i');

            echo $contract['contract_id'] . ' == ' . $years . ' -- ' . $months . ' -- ' . $days . ' -- ' . $hours . ' -- ' . $minutes;
            echo '<br>';
            if ($years == 0 && $months == 0 && $days == 1) {
                $body = file_get_contents($templateURL . '1_reminder_email_landlord.php');
                $subject = $contract['first_name'] . ", Polite Reminder";
                $obj->sendEmail($contract, $body, $subject);

                //----------------------------------------------------------------------

                $SMSContent = $obj->ContractSMSTextForLandlordContract();
                $BitlyLink = $obj->BitlySmsUrl($ContractId, 5);
                $MessageText = $SMSContent . $BitlyLink;

                $contract['telephone_number'] = $obj->PhoneNumberFormat($contract['telephone_number']);
                $validUkNum = $obj->ValidMobileUk($contract['telephone_number']);
                $userDataArray = array('twilioautosms_body' => $MessageText, 'telephone' => $contract['telephone_number']);

                if ($contract['telephone_number'] != false && $validUkNum != false) {
                    $obj->SendRequestToCenteralServerForTwilioAutoSMS($userDataArray);
                }
            }
        }
    }
}
/*
  |--------------------------------------------------------------------------
  | Upfront Contracts
  |--------------------------------------------------------------------------
 */
unset($contracts);
$contracts = $obj->getContracts(null, 8);

if ($contracts != false && !empty($contracts)) {
    echo '<br>inside upfront cron<br>';
    foreach ($contracts as $contract) {
        $ourDate = "";
        $i = 1;
        $is_viewed = $contract['is_viewed'];
        $ContractId = $contract['contract_id'];
        if ($contract['drip_email_date'] == '0000-00-00 00:00:00') {
            $ourDate = $contract['created_date'];
        } else if ($contract['drip_email_date'] != '0000-00-00 00:00:00' && $contract['drip_email_date'] != '1111-11-11 11:11:11') {
            $ourDate = $contract['drip_email_date'];
        }

        if ($ourDate != "" && $contract['agreement_status_id'] == 8) {
            $datetime1 = date_create($ourDate);
            $datetime2 = date_create(date('Y-m-d H:i:s'));
//            echo'<pre>';
//            print_r($contract);
            if ($datetime2 > $datetime1) {
                $interval = date_diff($datetime1, $datetime2);
                $years = $interval->format('%y');
                $months = $interval->format('%m');
                $days = $interval->format('%d');
                $hours = $interval->format('%h');
                $minutes = $interval->format('%i');

                echo $contract['contract_id'] . ' == ' . $years . ' -- ' . $months . ' -- ' . $days . ' -- ' . $hours . ' -- ' . $minutes;
                echo '<br>';
                if ($years == 0 && $months == 0 && $days == 1) {
                    echo '<pre>1 day <br>';
                    print_r($contract);
                    //mail('areeba.azhar@dynamologic.com','AMS cron response- day 1 check upfront '.$attempts,print_r($contract, true)); // added by Areeba Azhar

                    $body = file_get_contents($templateURL . '1_day_email_upfront.php');
                    $subject = $contract['first_name'] . ", Polite Reminder";
                    $obj->sendEmail($contract, $body, $subject);
                    //mail('areeba.azhar@dynamologic.com','AMS cron response- after sending email '.$attempts,print_r($email, true)); // added by Areeba Azhar
                    //----------------------------------------------------------------------

                    $SMSContent = $obj->ContractSMSText();
                    $BitlyLink = $obj->BitlySmsUrl($ContractId, 8);
                    $MessageText = $SMSContent . $BitlyLink;

                    $contract['telephone_number'] = $obj->PhoneNumberFormat($contract['telephone_number']);
                    $validUkNum = $obj->ValidMobileUk($contract['telephone_number']);
                    $userDataArray = array('twilioautosms_body' => $MessageText, 'telephone' => $contract['telephone_number']);
                    if ($contract['telephone_number'] != false && $validUkNum != false) {
                        $obj->SendRequestToCenteralServerForTwilioAutoSMS($userDataArray);
                    }
                } else if ($years == 0 && $months == 0 && $days == 5) {

                    echo '<pre> 5 day <br>';
                    print_r($contract);
                    //mail('areeba.azhar@dynamologic.com','AMS cron response- day 5 check upfront '.$attempts,print_r($contract, true)); // added by Areeba Azhar

                    $body = file_get_contents($templateURL . '5_day_email_upfront.php');
                    $subject = $contract['first_name'] . ", Myths and Truths";
                    $obj->sendEmail($contract, $body, $subject);
                    //mail('areeba.azhar@dynamologic.com','AMS cron response- after sending email '.$attempts,print_r($email, true)); // added by Areeba Azhar
                    //----------------------------------------------------------------------

                    $SMSContent = $obj->ContractSMSText();
                    $BitlyLink = $obj->BitlySmsUrl($ContractId, 8);
                    $MessageText = $SMSContent . $BitlyLink;

                    $contract['telephone_number'] = $obj->PhoneNumberFormat($contract['telephone_number']);
                    $validUkNum = $obj->ValidMobileUk($contract['telephone_number']);
                    $userDataArray = array('twilioautosms_body' => $MessageText, 'telephone' => $contract['telephone_number']);
                    if ($contract['telephone_number'] != false && $validUkNum != false) {
                        $obj->SendRequestToCenteralServerForTwilioAutoSMS($userDataArray);
                    }
                }
            }
        }
    }
}

/*
  |--------------------------------------------------------------------------
  | Let Only Landlord Contracts
  |--------------------------------------------------------------------------
 */
unset($contracts);
$contracts = $obj->getContracts(null, 11);

if ($contracts != false && !empty($contracts)) {
    echo '<br>inside landlord cron<br>';
    foreach ($contracts as $contract) {

        $is_viewed = $contract['is_viewed'];
        $ContractId = $contract['contract_id'];
        $datetime1 = date_create($contract['created_date']);
        $datetime2 = date_create(date('Y-m-d H:i:s'));
        if ($datetime2 > $datetime1) {
            $interval = date_diff($datetime1, $datetime2);
            $years = $interval->format('%y');
            $months = $interval->format('%m');
            $days = $interval->format('%d');
            $hours = $interval->format('%h');
            $minutes = $interval->format('%i');

            echo $contract['contract_id'] . ' == ' . $years . ' -- ' . $months . ' -- ' . $days . ' -- ' . $hours . ' -- ' . $minutes;
            echo '<br>';
            if ($years == 0 && $months == 0 && $days == 1) {
                $body = file_get_contents($templateURL . '1_reminder_email_landlord.php');
                $subject = $contract['first_name'] . ", Polite Reminder";
                $obj->sendEmail($contract, $body, $subject);

                //----------------------------------------------------------------------

                $SMSContent = $obj->ContractSMSTextForLandlordContract();
                $BitlyLink = $obj->BitlySmsUrl($ContractId, 11);
                $MessageText = $SMSContent . $BitlyLink;

                $contract['telephone_number'] = $obj->PhoneNumberFormat($contract['telephone_number']);
                $validUkNum = $obj->ValidMobileUk($contract['telephone_number']);
                $userDataArray = array('twilioautosms_body' => $MessageText, 'telephone' => $contract['telephone_number']);
                if ($contract['telephone_number'] != false && $validUkNum != false) {
                    $obj->SendRequestToCenteralServerForTwilioAutoSMS($userDataArray);
                }
            }
        }
    }
}

/*
  |--------------------------------------------------------------------------
  | Fully Managed Landlord Contracts
  |--------------------------------------------------------------------------
 */
unset($contracts);
$contracts = $obj->getContracts(null, 14);

if ($contracts != false && !empty($contracts)) {
    echo '<br>inside landlord cron<br>';
    foreach ($contracts as $contract) {

        $is_viewed = $contract['is_viewed'];
        $ContractId = $contract['contract_id'];
        $datetime1 = date_create($contract['created_date']);
        $datetime2 = date_create(date('Y-m-d H:i:s'));
        if ($datetime2 > $datetime1) {
            $interval = date_diff($datetime1, $datetime2);
            $years = $interval->format('%y');
            $months = $interval->format('%m');
            $days = $interval->format('%d');
            $hours = $interval->format('%h');
            $minutes = $interval->format('%i');

            echo $contract['contract_id'] . ' == ' . $years . ' -- ' . $months . ' -- ' . $days . ' -- ' . $hours . ' -- ' . $minutes;
            echo '<br>';
            if ($years == 0 && $months == 0 && $days == 1) {
                $body = file_get_contents($templateURL . '1_reminder_email_landlord.php');
                $subject = $contract['first_name'] . ", Polite Reminder";
                $obj->sendEmail($contract, $body, $subject);

                //----------------------------------------------------------------------

                $SMSContent = $obj->ContractSMSTextForLandlordContract();
                $BitlyLink = $obj->BitlySmsUrl($ContractId, 14);
                $MessageText = $SMSContent . $BitlyLink;

                $contract['telephone_number'] = $obj->PhoneNumberFormat($contract['telephone_number']);
                $validUkNum = $obj->ValidMobileUk($contract['telephone_number']);
                $userDataArray = array('twilioautosms_body' => $MessageText, 'telephone' => $contract['telephone_number']);
                if ($contract['telephone_number'] != false && $validUkNum != false) {
                    $obj->SendRequestToCenteralServerForTwilioAutoSMS($userDataArray);
                }
            }
        }
    }
}
?>

