<?php

require_once 'global_params.php';

require_once 'db.php';

require 'mailer/PHPMailerAutoload.php';
require 'textmagic-sms-api-php/TextMagicAPI.php';

class ESignatureCron extends DBConnect {

    public $emailSubjects = array("{FIRSTNAME}, Polite Reminder", "{FIRSTNAME}, Myths and Truths", "{FIRSTNAME}, Peter's Story", "{FIRSTNAME}, No Sale, No Estate Agency Fee", "{FIRSTNAME}, The Blueprint", "{FIRSTNAME}, 13 Reasons", " {FIRSTNAME}, Your FAQs", "{FIRSTNAME}, are you still selling your property?", "{FIRSTNAME}, the big estate agency myth", "{FIRSTNAME}, 90 Days", " {FIRSTNAME}, 150 Days", "{FIRSTNAME}, 250 Days", " {FIRSTNAME}, One Year");
    private $CronUsers = array();
    private $fromName = 'ESignature';
    private $fromEmail = 'Admin@no-reply.com';
    private $baseURL = 'http://expresspg.co.uk/fms/internal/fms/web/index.php/';
    private $rootURL = 'http://expresspg.co.uk/fms/esignature_cron/';
//    private $baseURL = 'http://localhost/esignature_cron/';
//    private $rootURL = 'http://localhost/esignature_cron/';

    private $key = "*#Jerus@!em#@";

    public function __construct() {

        parent::__construct();
    }

    public function appendCronUsers($user) {

        array_push($this->CronUsers, $user);
    }

    public function getUsers($id = null) {



        $query = "SELECT u.email as psc_email,contract_id,u.first_name as pc_first_name,u.username,u.last_name,u.direct_dial,c.first_name,c.email,c.created_date,DATEDIFF(now(),c.created_date) as execTime,telephone_number FROM `contract` c INNER JOIN users u on u.user_id = c.user_id WHERE `agreement_status_id` = 1";

        if ($id != null)
            $query .= " AND contract_id = $id";

        $sth = $this->db->prepare($query);

        $sth->execute();



        $result = $sth->fetchAll(PDO::FETCH_ASSOC);



        return $result;
    }

    public function PhoneNumberFormat($PhoneNumber) {
        $PhoneNumber = str_replace(" ", "", $PhoneNumber);
        if (is_numeric($PhoneNumber)) {
            if ($PhoneNumber[0] != 0 && $PhoneNumber[0] != 4) {
                $PhoneNumber = "0" . $PhoneNumber;
            }
            if ($PhoneNumber[0] == 0) {
                $PhoneNumber[0] = str_replace("0", "4", $PhoneNumber[0]);
                $PhoneNumber = "4" . $PhoneNumber;
            }
            $PhoneNumber = str_replace(" ", "", $PhoneNumber);
            return $PhoneNumber;
        } else {
            return false;
        }
    }

    public function ContractSMSText() {
        $MessageText = "Are you ready to instruct Express Estate Agency? NEXT STEP - click the following link to review and sign our Terms & Conditions  ";
        return $MessageText;
    }

    public function BitlySmsUrl($ContractId) {
        $UserName = "shujaat70620";
        $ApiKey = "R_84c70985d3a44e06accb494600e36e94";

        $ContractURL = $this->setLink($ContractId);

        $OnlineContractUrl = urlencode($ContractURL);

        $ContractBitLyUrl = json_decode(file_get_contents("http://api.bit.ly/v3/shorten?login=$UserName&apiKey=$ApiKey&longUrl=$OnlineContractUrl &format=json"))->data->url;

        return $ContractBitLyUrl;
    }

    public function SMSSendToUser($UserData) {
        $PhoneNumber = $UserData['telephone_number'];
        $PhoneNumber = $this->PhoneNumberFormat($PhoneNumber);
        $ContractId = $UserData['contract_id'];
        if ($PhoneNumber != false) {
            try {
                $TextMagicAPI = new TextMagicAPI(array("username" => "csbrogan", "password" => "standard17"));
                $phone = array($PhoneNumber);
                $msgdate = strtotime("+5 min");
                $SMSContent = $this->ContractSMSText();
                $BitlyLink = $this->BitlySmsUrl($ContractId);
                $MessageText = $SMSContent . $BitlyLink;

                $result = $TextMagicAPI->send($MessageText, $phone, true, $msgdate);
            } catch (Exception $e) {
                echo '<pre>';
                print_r($e);
                exit;
            }
        }
    }

    public function insertCronHistory() {



        $insertionQuery = "INSERT INTO `cron_history`(`contract_id`, `notified_datetime`,`notified_type`) VALUES ";



        $time = date('Y-m-d h:i:s');



        foreach ($this->CronUsers as $result) {

            $insertionQuery .= "(" . $result['contract_id'] . ",'$time','email'),";
        }

        $insertionQuery = rtrim($insertionQuery, ',');



        $sth = $this->db->prepare($insertionQuery);

        $sth->execute();
    }

    public function setLink($id) {



        $encrypted_string = $this->email_encrypt($id);

        $link = $this->baseURL . "subscribe/contract/" . $encrypted_string;

        return $link;
    }

    public function setViewLink($id) {

        $encrypted_string = $this->email_encrypt($id);

        $link = $this->rootURL . "email_cron.php?view=" . $encrypted_string;

        return $link;
    }

    public function setWebViewLink($id, $day) {

        $encrypted_string = $this->email_encrypt($id);

        $link = $this->baseURL . "subscribe/reminderwebpage/" . $encrypted_string . '&day=' . $day;
        return $link;
    }

    public function setUnsubscribelink($id) {
        $encrypted_string = $this->email_encrypt($id);

        $link = $this->baseURL . "subscribe/unsubscribe/" . $encrypted_string;
        return $link;
    }

    public function email_encrypt($string) {

        //$key = $this->key;
        // $encrypted = base64_encode(mcrypt_encrypt(MCRYPT_RIJNDAEL_256, md5($key), $string, MCRYPT_MODE_CBC, md5(md5($key))));

        $encrypted = md5($string);

        return $encrypted;
    }

    public function sendEmail($data, $body, $subject, $day) {

//        echo "<pre>";
//        print_r($data);
//        exit;
        // $link = $this->setLink('contract_' . $data['contract_id']);
        //$viewLink = $this->setViewLink($day . '_contract_' . $data['contract_id']);



        $link = $this->setLink($data['contract_id']);

        $viewLink = $this->setViewLink($data['contract_id']);


        $WebViewLink = $this->setWebViewLink($data['contract_id'], $day);
        $UnSubscribelink = $this->setUnsubscribelink($data['contract_id']);

        $name = ucwords($data['first_name']);

        $PSCName = ucwords($data['pc_first_name']) . ' ' . ucwords($data['last_name']);
        $DirectDial = $data['direct_dial'];
        $EmailAddress = $data['email'];


        $parameterToReplace = array("{FIRSTNAME}", "{PSCNAME}", "{LINK}", "{VIEWLINK}", "{DirectDial}", "{CUSTOMEREMAIL}", "{UnSubscribe}");

        $replaceParmeter = array($name, $PSCName, $link, $WebViewLink, $DirectDial, $EmailAddress, $UnSubscribelink);

        $msg = str_replace($parameterToReplace, $replaceParmeter, $body);



        $subject = str_replace('{FIRSTNAME}', $name, $subject);



        $mail = $this->setSMTPCRD($PSCName, $data['psc_email']);



        $mail->addAddress($data['email'], $data['first_name']);



        $mail->isHTML(true);



        $mail->Subject = $subject;

        $mail->Body = $msg;



        if (!$mail->send()) {

            echo 'Message could not be sent.';

            echo 'Mailer Error: ' . $mail->ErrorInfo;
        } else {

            echo 'Message has been sent to ' . $data['email'] . "<br/><br/>";
        }
    }

    public function echoViewPage($contract_id, $body) {



        $link = $this->setLink('contract_' . $contract_id);

        $data = $this->getUsers($contract_id);



        $name = ucwords($data[0]['first_name']);

        $PSCName = ucwords($data[0]['username']);



        $parameterToReplace = array("{FIRSTNAME}", "{PSCNAME}", "{LINK}", "{VIEWLINK}");

        $replaceParmeter = array($name, $PSCName, $link, "javascript:void(0)");

        $msg = str_replace($parameterToReplace, $replaceParmeter, $body);



        echo $msg;
    }

    public function setSMTPCRD($fromName, $fromEmail) {



        $mail = new PHPMailer;



        $mail->isSMTP();

        $mail->Host = 'smtp.mandrillapp.com';

        $mail->SMTPAuth = true;

        $mail->Username = 'fms@dynamologic.com';

        $mail->Password = 'oV7T7ug7tBEZ1nvnz1dXhw';

        $mail->SMTPSecure = 'tls';

        $mail->Port = 587;



        $mail->From = $fromEmail;

        $mail->FromName = $fromName;



        return $mail;
    }

    public function email_decrypt($encrypted) {

        $key = $this->key;

        $decrypted = rtrim(mcrypt_decrypt(MCRYPT_RIJNDAEL_256, md5($key), base64_decode($encrypted), MCRYPT_MODE_CBC, md5(md5($key))), "\0");

        return $decrypted;
    }

}

$obj = new ESignatureCron();





if (isset($_REQUEST['view'])) {



    $id = $_REQUEST['view'];

    $contract_id = $obj->email_decrypt($id);



    $id = explode("_", $contract_id);



    $page = $id[0];

    $contract_id = $id[2];



    $body = file_get_contents($templateURL . $page . '_days_reminder.php');



    $obj->echoViewPage($contract_id, $body);
} else {



    $userData = $obj->getUsers();
//    echo '<pre>';
//    print_r($userData);
//    exit;
   
//$mail = $obj->setSMTPCRD();
//    echo '<pre>';
//    $obj->SMSSendToUser();
//    exit;
    //  echo '<pre>';
//    print_r($userData);
    //   $obj->SMSSendToUser($userData[52]);
    //  exit;

    foreach ($userData as $user) {

        if (!empty($user['execTime']) && $user['psc_email'] != 'mark.brogan@expressestateagency.co.uk' && $user['email'] != 'mark.brogan@expressestateagency.co.uk' && $user['email'] != 'mnbrogan@hotmail.com') {

            echo 'PSC Email : ' . $user['psc_email'] . ' :User : ' . $user['email'] . '<br/>';
            if (isset($_REQUEST['days'])) {



                $user['execTime'] = strtotime($_REQUEST['days']) - strtotime(date('Y-m-d', strtotime($user['created_date'])));

                $user['execTime'] = floor($user['execTime'] / (60 * 60 * 24));
            }



            echo $user['email'] . " " . $user['execTime'] . "<br/><br/>";



            if ($user['execTime'] == 2) {

                $body = file_get_contents($templateURL . '2_days_reminder.php');

                $obj->sendEmail($user, $body, $obj->emailSubjects[0], 2);

                $obj->appendCronUsers($user);
            } else if ($user['execTime'] == 3) {
                
            } else if ($user['execTime'] == 5) {

                $body = file_get_contents($templateURL . '5_days_reminder.php');

                $obj->sendEmail($user, $body, $obj->emailSubjects[1], 5);

                $obj->appendCronUsers($user);

                $obj->SMSSendToUser($user);
            } else if ($user['execTime'] == 7) {

                $body = file_get_contents($templateURL . '7_days_reminder.php');

                $obj->sendEmail($user, $body, $obj->emailSubjects[1], 7);

                $obj->appendCronUsers($user);
            } else if ($user['execTime'] == 10) {

                $body = file_get_contents($templateURL . '10_days_reminder.php');

                $obj->sendEmail($user, $body, $obj->emailSubjects[3], 10);

                $obj->appendCronUsers($user);
            } else if ($user['execTime'] == 14) {

                $body = file_get_contents($templateURL . '14_days_reminder.php');

                $obj->sendEmail($user, $body, $obj->emailSubjects[4], 14);

                $obj->appendCronUsers($user);
            } else if ($user['execTime'] == 20) {

                $body = file_get_contents($templateURL . '20_days_reminder.php');

                $obj->sendEmail($user, $body, $obj->emailSubjects[5], 20);

                $obj->appendCronUsers($user);
            } else if ($user['execTime'] == 30) {

//                $body = file_get_contents($templateURL . '20_days_reminder.php');
//
//                $obj->sendEmail($user, $body, $obj->emailSubjects[5], 20);
//
//                $obj->appendCronUsers($user);
                $obj->SMSSendToUser($user);
            } else if ($user['execTime'] == 40) {

                $body = file_get_contents($templateURL . '40_days_reminder.php');

                $obj->sendEmail($user, $body, $obj->emailSubjects[6], 40);
            } else if ($user['execTime'] == 50) {

                $body = file_get_contents($templateURL . '50_days_reminder.php');

                $obj->sendEmail($user, $body, $obj->emailSubjects[7], 50);

                $obj->appendCronUsers($user);
            } else if ($user['execTime'] == 60) {
                $obj->SMSSendToUser($user);
//                $body = file_get_contents($templateURL . '50_days_reminder.php');
//
//                $obj->sendEmail($user, $body, $obj->emailSubjects[7], 50);
//
//                $obj->appendCronUsers($user);
            } else if ($user['execTime'] == 75) {

                $body = file_get_contents($templateURL . '75_days_reminder.php');

                $obj->sendEmail($user, $body, $obj->emailSubjects[8], 75);

                $obj->appendCronUsers($user);
            } else if ($user['execTime'] == 90) {

                $body = file_get_contents($templateURL . '90_days_reminder.php');

                $obj->sendEmail($user, $body, $obj->emailSubjects[9], 90);

                $obj->appendCronUsers($user);
            } else if ($user['execTime'] == 150) {

                $body = file_get_contents($templateURL . '150_days_reminder.php');

                $obj->sendEmail($user, $body, $obj->emailSubjects[10], 150);

                $obj->appendCronUsers($user);
            } else if ($user['execTime'] == 250) {

                $body = file_get_contents($templateURL . '250_days_reminder.php');

                $obj->sendEmail($user, $body, $obj->emailSubjects[11], 250);

                $obj->appendCronUsers($user);
            } else if ($user['execTime'] == 365) {

                $body = file_get_contents($templateURL . '365_days_reminder.php');

                $obj->sendEmail($user, $body, $obj->emailSubjects[12], 365);

                $obj->appendCronUsers($user);
            }
        }
    }

    $obj->insertCronHistory();
}
?>

