<?php

use yii\helpers\Html;
use yii\helpers\ArrayHelper;
use yii\bootstrap\ActiveForm;
use app\models\AgreementStatus;

/* @var $this yii\web\View */
/* @var $model app\models\Contract */
/* @var $form yii\widgets\ActiveForm */
//$this->setPageTitle('Express Estate Agency - Contract For Agency Services');
$this->title = 'Express Estate Agency - Contract For Agency Services';
?>
<div class="logo_box">
	<img src="<?php echo yii::$app->request->BaseUrl ?>/img/header-logo.png" alt="..">
</div>
<br/>
<h1 class="sub-title">Landlord Agreement</h1>
<br/>
<p>This Agreement is made between the Landlord of the Property (as named below) and The Express Letting Agency who agree to act as agent for the Landlord and are hereinafter referred to as "the Agent". The purpose of this document is to set out clearly and concisely the extent of the letting and management service offered and the scale of fees charged. <br/>
For ‘Let only’ agreements, please refer to the passages in bold writing for our obligations in the case of this type of agreement and refer to the underlined bold text underneath the ‘General Authority’ section of the agreement for the obligations we require of you for us to go ahead and find a tenant for your property.<br/>
<br> The Sole Letting Rights period for letting is 12 Weeks from the marketing commencement date. It is agreed that only the Agent may let the Property. You will be liable to pay remuneration to us, in addition to any other costs or charges agreed if we find that the property has been let by another Agent or any other party including yourself whilst we have been advertising the property for you. </p>
<br/>
<h3 style="text-decoration:underline;">ACCEPTANCE & VARIATION</h3>
<p>
	The terms & conditions of this Agreement may be varied by either party, but only with prior notice. <br>
    <br>
    I wish the Agent to undertake the letting, rent collection and management*. <br>
    I/we also confirm that we are the sole/joint owners of the Property named below*.    
</p>
<br/>
<div class="col-md-12 col-sm-12 padding0">
    <?php
    $form = ActiveForm::begin([
                'id' => 'contract-form',
                'action' => Yii::$app->params['pathroot'] . 'subscribe/contractsubmission',
                'options' => ['onsubmit' => 'return SubmitForm();'],
    ]);
    ?>
	<div class="col-md-3 col-sm-3 padding0">
		<div class="col-md-2 col-sm-4 padding0">
			<div class="title_box">
				<label>Title: </label>
            </div>
		</div>
		<div class="col-md-10 col-sm-8 mobile-padding0">
			<div class="form-group field-contract-name">
				<label class="control-label" for="contract-name">Name</label>
				<?= $form->field($model, 'name')->textInput(['class' => 'title field', 'disabled' => 'disabled']); ?>
				<p class="help-block help-block-error"></p>
			</div>
		</div>
	</div>
	<div class="col-md-5 col-sm-5 padding0">
		<div class="col-md-2 col-sm-4 padding0">
			<div class="title_box">
				<label>Forename: </label>
			</div>
		</div>
		<div class="col-md-10 col-sm-8 mobile-padding0">
			<div class="form-group field-contract-first_name required">
				<label class="control-label" for="contract-first_name">First Name</label>
				<?= $form->field($model, 'first_name')->textInput(['class' => 'title field', 'disabled' => 'disabled']); ?>
				<p class="help-block help-block-error"></p>
			</div>
		</div>
	</div>
	<div class="col-md-4 col-sm-4 padding0">
		<div class="col-md-2 col-sm-4 padding0">
			<div class="title_box">
				<label>Surname: </label>
			</div>
		</div>
		<div class="col-md-10 col-sm-8 mobile-padding0">
			<div class="form-group field-contract-last_name required">
				<label class="control-label" for="contract-last_name">Last Name</label>
				<?= $form->field($model, 'last_name')->textInput(['class' => 'title field', 'disabled' => 'disabled']); ?>
				<p class="help-block help-block-error"></p>
			</div>
		</div>
	</div>
	<div class="col-md-12 col-sm-12 padding0">
		<div class="col-md-3 col-sm-3 padding0">
			<div class="title_box">
				<label>Address of property being marketed: </label>
			</div>
		</div>
		<div class="col-md-9 col-sm-9 mobile-padding0">
			<div class="form-group field-contract-address required">
				<label class="control-label" for="contract-address">Address</label>
				<?= $form->field($model, 'address')->textInput(['class' => 'title field', 'disabled' => 'disabled']); ?>
				<p class="help-block help-block-error"></p>
			</div>
		</div>
	</div>
	<div class="col-md-12 col-sm-12 padding0">
		<div class="col-md-3 col-sm-3 padding0">
			<div class="title_box">
				<label>Telephone number: </label>
			</div>
		</div>
		<div class="col-md-9 col-sm-9 mobile-padding0">
			<div class="form-group field-contract-telephone_number">
				<label class="control-label" for="contract-telephone_number">Telephone Number</label>
				<?= $form->field($model, 'telephone_number')->textInput(['class' => 'title field', 'disabled' => 'disabled']); ?>
				<p class="help-block help-block-error"></p>
			</div>
		</div>
	</div>	
	<div class="col-md-12 col-sm-12 padding0">
		<div class="col-md-3 col-sm-3 padding0">
			<div class="title_box">
				<label>Correspondence address: </label>
			</div>
		</div>
		<div class="col-md-9 col-sm-9 mobile-padding0">
			<div class="form-group field-contract-marketing_price required">
				<label class="control-label" for="contract-marketing_price">Correspondence address</label>
				<?= $form->field($model, 'correspondence_address')->textInput(['class' => 'title field', 'disabled' => 'disabled']); ?>
				<p class="help-block help-block-error"></p>
			</div>
		</div>
	</div>	
	<div class="col-md-12 col-sm-12 padding0">
		<div class="col-md-3 col-sm-3 padding0">
			<div class="title_box">
				<label>Property Available from date: </label>
			</div>
		</div>
		<div class="col-md-9 col-sm-9 mobile-padding0">
			<div class="form-group field-contract-marketing_commencement_date">
				<label class="control-label" for="contract-marketing_commencement_date">Marketing commencement date</label>
				<?= $form->field($model, 'marketing_commencement_date')->textInput(['class' => 'title field', 'disabled' => 'disabled']); ?>
				 <?= $form->field($model, 'contract_id')->hiddenInput(['value' => $contract_id])->label(FALSE) ?>
				<p class="help-block help-block-error"></p>
			</div>
		</div>
	</div>
	<div class="clear_fix"></div>
	<div class="table_wrap">
		<h3 style="text-decoration:underline;text-align:center;">Scale of Charges
			(All fees subject to VAT at 20%)<br>
			*Only applicable on Fully Managed Service
		</h3>
		<table class="table table-bordered">
			<tbody>
				<tr><td>Advertising Rental Rate</td><td><b><?php echo $model['rent_pcm']?></b></td></tr>
				<tr><td>Monthly Management Fee*</td><td><b><?php echo $model['fee']?></b></td></tr>
				<tr style = "background-color:#000"><td>&nbsp;</td><td></td></tr>
				<tr><td><b style = "text-decoration:underline"> Additional Charges </b></td><td></td></tr>
				<tr><td>EPC (payable up front)</td><td><b>£49 (if applicable)</b></td></tr>
				<tr><td>Preparing Inventory / Schedule of Condition</td><td><b>£100 (if applicable)</b></td></tr>
				<tr><td>Tenancy Deposit Service Fee</td><td><b>£15 (if applicable)</b></td></tr>
				<tr><td>Deposit Claim</td><td><b>£50 (if applicable)</b></td></tr>
				<tr><td>Renewal of Tenancy Agreement (where necessary)</td><td><b>£75 for 6 months /£95 for 12 months (where applicable)</b></td></tr>
				<tr><td>Minimum Fee post Tenant Move-In (upon early termination or failure to adhere to withdrawal notice period)*</td><td><b>£350</b></td></tr>
				<tr><td>Obtaining Estimates and supervision of works*</td><td><b>10% of cost of work</b></td></tr>
				<tr><td>Redirection of mail overseas*</td><td><b>Cost of postage plus VAT</b></td></tr>
				<tr><td>Property Visits/Call outs*</td><td><b>£45</b></td></tr>
			</tbody>
		</table>
	</div>
	<h3 style="text-decoration:underline;">STANDARD MANAGEMENT SERVICE</h3>
	<p>The Express Letting Agency provides a property management service to owners wishing to let out their property. 
    The standard fee for the management is taken as a percentage (subject to minimum fee) of the gross rents due for the
    period of the tenancy and a set-up fee will normally be levied at the outset for taking references and arranging the tenancy.This fee will not vary whatever the rental income.  </p>
	<h4>The Standard Management Service includes:</h4>
	<ol>
		<li> Advising as to the likely rental income. </li>
		<li> Advertising and generally marketing the Property. </li>
		<li> Interviewing prospective tenants and taking up full references including bank reference,
            and employer or previous landlord character reference. Where necessary, additional security 
            would be requested by means of a guarantor.  In the case of a company, a full bank reference would be taken. </li>
		<li> Preparing the Tenancy Agreement necessary for the Landlord to gain protection of the relevant Rent and Housing Acts and renewing the Agreement where necessary at the end of the Term.  </li>
		<li> Liaising with a Landlord's mortgagees where necessary with regard to references and Tenancy Agreement. </li>
		<li> Taking a deposit from the tenant to be held in the Deposit Protection Scheme until the end of the tenancy when the Property and contents have been checked for unfair wear and tear. </li>
		<li> Collecting the rent monthly and paying over to the Landlord monthly (normally sent within 15 days of collection) less any fees or expenses due or incurred for the period.  Payments will be made by direct bank transfer and a detailed rent statement will be forwarded to the Landlord. </li>
		<li> Arranging with service companies (principally electricity, gas & water) for meter readings and advising them of the transfer of service contracts to the tenant at the beginning of the tenancy. </li>
		<li> Regular inspections of the Property are carried out on a periodic basis. Responsibility for and management of empty property is not normally included, and will only be carried out by special arrangement agreed in writing between the Landlord and the Agent. </li>
		<li> Co-ordination of repair or maintenance including arranging for tradesmen to attend the Property and obtaining estimates where necessary, supervising works and settling accounts from rents received. </li>
		<li> Making payments on behalf of the Landlord from rents received for costs in managing the property. </li>
		<li> Carrying out a full property inspection and inventory check at the end of the tenancy and dealing with matters relating to unfair wear and tear before releasing the tenant's deposit. </li>
		<li> Collecting and forwarding Landlord's mail. </li>
	</ol>
	<p>Additional items and other expenses will be charged according to the scale of fees defined below.<br><br>
          Although the aim is to take every care in managing the Property, the Agent cannot accept responsibility for non-payment of rent, damage or other default by tenants, or any associated legal costs incurred in their collection where the Agent has acted correctly in terms of this agreement, or on the Landlord’s instructions.   An insurance policy is recommended for this eventuality. </p>
	<h3 style="text-decoration:underline;">LET ONLY SERVICE </h3>
	<p> <b> Where the Landlord does not wish the Agent to undertake full management, the Agent can provide a Let Only Service.  The Let Only Service includes parts 1 to 5 only, of the Standard Management Service, as listed above. <br><br>
          The fees are payable at the commencement of the Tenancy and will be deducted from monies received by the Agent on the Landlord's behalf.   If the tenant leaves prior to the end of the term of the Tenancy, through no fault of the Agent, the Landlord shall not be entitled to reimbursement of any fees paid. </b> </p>
	<h3 style="text-decoration:underline;">GENERAL AUTHORITY:</h3>
	<p style="text-decoration:underline; font-weight:bold;"> The Landlord confirms that he/she is the sole or joint owner of the Property and has the right to rent out the Property under the terms of the mortgage or head lease. Where necessary, the Landlord confirms that permission to let has been granted by the mortgage company. <br> 
	  The Landlord authorises the Agent to carry out the various duties of property management as detailed in 1-13 previously. 
The Landlord also agrees that the Agent may take a deposit and place it into the Deposit Protection Service.  A fee for this service is payable as laid out in the fees section of the agreement. It is declared that the Agent may earn and retain commissions on insurance policies issued. </p>
	<h3 style="text-decoration:underline;">LIABILITY FOR TENANT DEFAULT:</h3>
	<p> Although the aim is to take every care in managing the property, the Agent cannot accept responsibility for non-payment of rent, damage or other default by tenants, or any associated legal costs incurred in their collection where the Agent has acted correctly in terms of this agreement, or on the landlord’s instructions.  An insurance policy is recommended for this eventuality.  </p>
	<h3 style="text-decoration:underline;">REASONABLE COSTS AND EXPENSES:</h3>
	<p> The Landlord agrees to repay the Agent for any reasonable costs, expenses or liabilities incurred or imposed on the Agent provided that they were incurred on behalf of the Landlord in pursuit of the Agent's normal duties.  To assist the Agent in carrying out his duties effectively, the Landlord agrees to respond promptly with instructions where necessary to any correspondence or requests from the Agent. <br><br> Where the agreement is cancelled under the Consumer Contracts (Information, Cancellation and Additional Charges) Regulations 2013 (or previous consumer contract legislation) the Landlord agrees to pay any reasonable costs incurred by the Agent in carrying out his duties before the cancellation of the contract (see Termination). </p>
	<h3 style="text-decoration:underline;">MAINTENANCE:</h3>
	<p> The Landlord agrees to provide the letting property in good and fit condition and that the property, beds, sofas and all other soft furnishings conform to the current fire safety regulations. The Landlord agrees to make the Agent aware of any on-going maintenance problems.  Subject to a retained maximum expenditure limit (UK landlords: £250, overseas landlords: £250) on any single item or repair, and any other requirements or limits specified by the Landlord, the Agent will administer any miscellaneous maintenance work that needs to be carried out on the property (although the administration of any works or refurbishment will incur an additional charge - see Scale of Fees above).  ‘Retained maximum expenditure limit’ means that the Agent has authority to spend up to this amount (or other amount as individually agreed) on reasonable improvements or repairs in any single monthly accounting period without prior reference to the Landlord. <br><br>
	For expenditure in excess of this, the Agent would normally request authorisation in advance, although it is agreed that in an emergency or for reasons of contractual necessity where reasonable endeavours have been made to contact the Landlord, the Agent may reasonably exceed the limits specified.  By law, it is necessary to carry out an annual inspection and service for the central heating and any gas appliances. The Agent will carry this out on the Landlord's behalf and expense and administer the necessary inspection and maintenance records. The reasonable costs involved will be debited to the landlord’s account. <br><br>
	Where the Agent is required to co-ordinate repair and maintenance work on behalf of the Landlord, the Agent will not be responsible for any negligence, damage, or breach of contract by any contractor employed in this way. 
	</p>
	<h3 style="text-decoration:underline;">OVERSEAS RESIDENTS:</h3>
	<p> When letting property and collecting rents for landlords overseas, the Agent is obliged by the Taxes Management Act (TMA) 1970 and the Taxation of Income from Land (Non-Residents) Regulations 1995 to deduct tax (at the basic tax rate) to cover any tax liability, unless the landlord has been authorised in writing by Inland Revenue to receive rent gross.  In this situation, the Agent also requests that the Landlord appoints an accountant or reserves the Agent the right to employ a suitably qualified accountant in order to manage correspondence with the Inland Revenue.  A standard annual charge will be made for this work and reasonable administration expenses may be charged by the Agent for further work requested by the Landlord, the Landlord's accountant or the Inland Revenue in connection with such tax liabilities.  In many cases, landlord's tax liability is minimal when all allowable costs are deducted. </p>
	<h3 style="text-decoration:underline;">COUNCIL TAX: (England, Scotland and Wales)</h3>
	<p> Payment of Council tax will normally be the responsibility of the tenants in the Property.   However, landlords should be aware that where a property is empty, let as holiday accommodation, or let as a house in multiple occupation (HMO) responsibility for payment of council tax then rests with the owner of the property. </p>
	<h3 style="text-decoration:underline;">SERVICES:</h3>
	<p> The Agent will take meter readings whenever possible at each change of occupation in the Property and inform the service companies (electricity, gas and water) of these readings and change of occupation.<br>  
	  In many cases, the service companies (e.g.  BT) require that the new occupiers formally request and authorise the service and it is not possible for the Agent to do this on the tenant's or Landlord's behalf.   Regarding mail, Landlords should take care to inform all parties (e.g. Banks, clubs, societies etc.) of their new address; it is not always possible to rely on tenants to forward mail. </p>
	<h3 style="text-decoration:underline;">INVENTORY:</h3>
	<p> The deposit protection schemes established under the terms of the Housing Act 2004 require that all landlords need to be protected by good inventory and condition reports from the outset. The Agent will prepare an inventory for the Property and a charge will be made for this as laid out in the fees section of the agreement. The standard inventory will include all removable items in the Property (except those of negligible value)  plus carpets, paintwork, wall coverings, curtains, mirrors, sanitary ware and other articles that, in the opinion of the Agent, need regular checking.  Landlords should not leave any articles of exceptional value in the Property without prior arrangement with the Agent.  The standard inventory service will include a full schedule of condition (condition, colour & decoration of ceilings, walls, doors and door fittings etc). Photographic evidence of condition will be included where appropriate and at the Landlord's request, this may incur a further charge.  </p>
	<h3 style="text-decoration:underline;">TENANCY AGREEMENT:</h3>
	<p> The Standard Management Service includes the preparation of a tenancy agreement in the Agent's standard form (s) and provision of a copy of this agreement to a designated advisor or building society.  Should the Landlord, advisors or mortgage company require amendment of the contract or require the Agent enter into further work or correspondence, a fee for this extra work may be requested (or you may have the tenancy agreement amended by your own adviser at your own expense).  <br>
	<b>It is agreed that the Agent may sign the tenancy agreement (s) on behalf of the Landlord.</b> </p>
	<h3 style="text-decoration:underline;">INSPECTIONS:</h3>
	<p> Under the Standard Management Service, the Agent will normally carry out inspections periodically starting after the first month. Such inspections do not constitute a formal survey of the property, and It is not the intention to check every item of the inventory at this stage; the inspection is concerned with verifying the good order of the tenancy (i.e. house being used in a 'tenant-like' manner) and the general condition of the Property.  This would normally include inspecting the main items (carpets, walls, cooker, main living areas and gardens.)  Where these were felt to be unsatisfactory, a more detailed inspection would generally be made. <br>
	  <br>
	  Following the departure of tenants, a final inspection of the Property is carried out by the Agent. Testing of all the electrical appliances, heating system and plumbing is not feasible during this inspection; a qualified contractor should be appointed for this purpose should it be required by the Landlord. Any deficiencies or dilapidations would normally be submitted to the Landlord together with any recommended deductions or replacement values.   </p>
	 <h3 style="text-decoration:underline;">RESERVATION FEES:</h3>
	  <p>A reservation fee is generally taken from a tenant applying to rent a property. The purpose of this fee is to verify the tenant's serious intent to proceed, and to protect the Agent against any administrative expenses (taking out bank references, conducting viewings, re-advertising) that may be incurred should the tenant decide to withdraw the application. <br>
	  The reservation fee does not protect the Landlord against loss of rent due to the tenant deciding to withdraw, or references proving unsuitable although early acceptance of rent from the applicant would not be advisable until satisfactory references have been received. <br>
	  Landlords should notify the Agent where they wish a larger security fee or deposit to be carried to protect against loss of rents, or insurance undertaken.
	  </p>
	<h3 style="text-decoration:underline;">TENANCY DEPOSITS:</h3>
	<p>Upon signing the tenancy agreement, the Agent will take a dilapidations deposit from the tenant (s) in addition to any rents due. The purpose of the dilapidations deposit is to protect the Landlord against loss of rent or damage to the Property during the tenancy itself. This deposit will be kept in a separate and secure client account ready for refunding (less any charges due) at the end of the tenancy, or forwarded to one of the Government regulated deposit schemes listed below: <br><br>
	<b>Statutory Tenancy Deposit Protection. </b>Where the tenancy is an Assured Shorthold Tenancy, the Landlord or Agent is legally required to ensure that any tenancy deposit taken under the tenancy is protected within one of the three statutory tenancy deposit schemes within 30 days of receipt. The schemes are:
		<ol class = "small_ol" >
			<li>The Deposit Protection Service (DPS)</li>
			<li>My Deposits</li>
			<li>Tenancy Deposit Scheme (TDS)</li>
		</ol>
		For Scottish properties the schemes are:
		<ol class = "small_ol">
			<li>Letting Protection Service Scotland</li>
			<li>Safedeposits Scotland</li>
			<li>MyDeposits Scotland</li>
		</ol>
	<b>Tenancy Deposit Information. </b> Where statutory tenancy deposit protection applies to a tenancy deposit, the Agent will provide to the tenant within 30 days the following information required from the Landlord by the Housing Act 2004:
		<ol>
			<li>Information on the particular scheme under which the tenancy deposit is protected;</li>
			<li>Compliance by the landlord with his obligations under the act and</li>
			<li>Prescribed information for the Tenant.</li>
		</ol>
		<b>
			MORE INFORMATION ON THE REQUIREMENTS OF THE DEPOSIT PROTECTION SCHEMES ARE AVAILABLE ON THE FOLLOWING WEBSITE AND LANDLORDS ARE STRONGLY URGED TO FAMILIARIZE THEMSELVES WITH THEIR LEGAL RESPONSIBILITIES. http://www.direct.gov.uk
		</b>
	</p>  
	<h3 style="text-decoration:underline;">TERMINATION OF LANDLORD AGREEMENT</h3>
	<p> This agreement may be terminated by either party by way of three months' written notice, subject to a minimum period of 6 months. The minimum fee applies if on termination the total fees due are less than the minimum fee. Where cancellation of this Agreement is unavoidable due to circumstances beyond the control of either party, the Minimum Fee will not apply and any pre-payments will be returned to the person entitled to them, less any expenses reasonably incurred to the date of cancellation. <br>
		<br>
		The Landlord shall provide the Agent with any requirements for return and repossession of the property at the earliest opportunity.  <br>
		<br>
		Landlords should be aware that any tenancy agreement entered into on the Landlord's behalf is a binding legal agreement for the term agreed.  Details of any tenancy agreement being entered into will be communicated to the Landlord as soon as possible. <br>
		<br>
		Landlords should be aware that the legal minimum notice period to tenants under assured tenancies is generally two months (should the contract allow for early termination) and this needs to be given even in the case of a fixed term tenancy which is due to expire. <br>
		<br>
		<b>Agreements signed away from the Agent’s office. </b> Where this agreement is signed away from the office the Landlord has a right to cancel under consumer protection legislation within 14 days (‘a cooling off period’) of the date of this agreement. Where the landlord waives his right to cancellation by agreeing to the Agent carrying out works immediately following the date of this Agreement he will be responsible for any reasonable costs occurred by the agent in carrying out their duties if the Landlord cancels this contract during the ‘cooling off’ period. 
	</p>
	
	<h3 style="text-decoration:underline;">SOLE LETTING RIGHTS</h3>
	<p> It is agreed that only the Agent may let the property.   </p>
	
	<h3 style="text-decoration:underline;">SAFETY REGULATIONS:</h3>
	<p> <b> WARNING: You should read and understand these obligations before signing above. </b><br>
		<br>
		The letting of property is now closely regulated with respect to consumer safety.  The law makes particular demands regarding the safety, servicing and inspection of the gas and electric appliances and installations within a property, and with respect to the safety of furniture and soft furnishings provided.  The following regulations apply:
        <ul class = "ul_small2">
			<li>-&nbsp;	Furniture and Furnishings (Fire) (Safety) Regulations 1988</li>
			<li>-&nbsp;	General Product Safety Regulations 1994</li>
			<li>-&nbsp	Gas Safety (Installation and Use) Regulations 1998</li>
			<li>-&nbsp;	Electrical Equipment (Safety) Regulations 1994</li>
			<li>-&nbsp;	Plugs and Sockets (Safety) Regulations 1994</li>
        </ul>
        TThe Landlord confirms that they are aware of these obligations and that the Agent has provided sufficient information in the form of explanatory leaflets accompanying this agreement to assist with compliance.<br>
        It is agreed that the Landlord shall ensure that the property is made available for letting in a safe condition and in compliance with above regulations.   Under the Fully Manager Service, the Agent shall ensure that all relevant equipment is checked at the beginning of the tenancy or during the tenancy as required.  The Landlord agrees to repay the Agent costs in incurring any reasonable expenses or penalties that may be suffered as a result of non-compliance of the property to fire and appliance safety standards.<br>
		Where the Landlord has duties in regard to the prevention of legionella and the inspection of domestic-type water systems, it is agreed that the Landlord shall be responsible for the maintenance of the water system and any associated safety checks under these duties.
	</p>
	
	<h3 style="text-decoration:underline;">INSTRUCTIONS:</h3>
	<p> It is agreed that any instructions to the Agent from the Landlord regarding termination, proceedings, major repairs, payment details or other significant details regarding the letting be confirmed to the Agent in writing. </p>
	
	<h3 style="text-decoration:underline;">VALUE ADDED TAX:</h3>
	<p> Our fees are not inclusive of VAT, it will be added at the current rate of 20%.  </p>
	
	<h3 style="text-decoration:underline;">INSURANCE:</h3>
	<p> The Landlord shall be responsible for the property being adequately
Insured and that the insurance policy covers the situation where the property is let. The Agent would normally be responsible for the administration of any claims arising during the period of management where the property is being managed (i.e. this only applies to properties under the full "Standard Management Service“) and subject to an additional charge for major works (see "Maintenance").
 </p>
	<h3 style="text-decoration:underline;">HOUSING BENEFIT:</h3>
	<p> The Landlord undertakes to reimburse the Agent for any claims arising from overpayment which may be made by the local authority in respect of housing benefit, or other benefit scheme, paid to or on behalf of the tenant (s) as rent.  This undertaking shall remain in force during the currency of the tenancy and up to six years thereafter, whether or not the Agent continues to be engaged to let or manage the Property under this Agreement.  </p>
	<h3 style="text-decoration:underline;">LEGAL PROCEEDINGS:</h3>
	<p> Any delays of payment or other defaults will be acted on by the Agent in the first instance. Where the Agent has been unsuccessful in these initial actions, or there are significant rent arrears or breaches of the tenancy agreement, the Landlord will be advised accordingly. A solicitor would then be appointed and instructed by the Landlord (except where the Agent is unable, after taking reasonable efforts, to contact the Landlord.  In that event the Agent is authorised to instruct a solicitor on the Landlord's behalf).<br>
	  <br>
	  The Landlord is responsible for payment of all legal fees and any related costs.  </p>
	<h3 style="text-decoration:underline;">LETTING ONLY SERVICE:</h3>  
	<p>Where the landlord does not wish the Agent to undertake full management (the Standard Management Service), the agent can provide a letting only service. The letting only service includes items 1 to 5 only, of the standard management Service, as listed above.The Landlord would remain responsible for all other aspects of the letting including the maintenance of the property and any gas and electrical appliances. The Landlord would responsible for complying with the Deposit protection requirements of the Housing Act 2004 and must provide the agent with written confirmation of this together with a receipt for the |Deposit monies received by the agent on his behalf. The Letting Only Service Fee Is payable at the commencement of the tenancy and will be deducted from monies received by the Agent on the Landlord's behalf. If the Tenant leaves prior to the end of the term of the tenancy, through no fault of the Agent, the Landlord shall not be entitled to reimbursement of any fees paid. </p>  
	<h3 style="text-decoration:underline;">LETTING ONLY SERVICE PLUS DEPOSIT PROTECTION:</h3>  
	<p>Where the Landlord requires the Agent to deal with his legal responsibilities for the protection of tenancy deposits under the Housing Act 2004 (item 6 of the Standard Management Service) then the Tenancy Deposit Service Fee will be charged in addition to the Letting Only Service Fee. </p>  
	<h3 style="text-decoration:underline;">LETTING AND RENT COLLECTION SERVICE:</h3>  
	<p>Where the Landlord requires collection of rents and deposit service (items 6& 7 only of the Standard Management Service as listed above) in addition to the Letting Only Service, then the Letting and Rent Collection Fee will be charged and will be deducted from rents collected. </p> 
	<h3 style="text-decoration:underline;">RENEWALS: </h3>
	<p> Where, with the consent of the Landlord, the tenancy is renewed or extended to the same tenant (or any person associated with the tenant) originally introduced by the Agent, a renewal fee for the term shall be payable on the renewal date as laid out in the fees section of the agreement. The Agent shall prepare the tenancy agreement, if required, for the new or extended tenancy and the terms of this agreement shall continue until the tenant leaves, or this agreement is terminated. </p>
	<h3 style="text-decoration:underline;">IMMIGRATION CHECKS & RIGHT TO RENT: </h3>
	<p>Under Section 22 of the Immigration Act 2014 the Landlord should not authorise an adult to occupy the property as their only or main home under a residential tenancy agreement unless the adult is a British Citizen or EEA or Swiss national, or has a “right to rent” in the UK. Someone will have the “right to rent” in the UK provided they are present lawfully in accordance with immigration laws. Landlords who breach section 22 may be liable for a civil penalty. <br><br>
	The Landlord is solely responsible for checking that the Tenant can legally reside In his property, with the relevant checks being carried out at least 28 days prior to the start of the tenancy. <br><br>
	The Landlord in signing this agreement accepts full responsibility for compliance with the scheme and will be the liable party. The Landlord also accepts responsibility for taking the steps necessary to establish an excuse against a penalty.<br>
	The Agent accepts no transfer of responsibility neither verbally or in writing, but is prepared upon written request to assist with any queries around the Landlords obligations.</p>
	<h3 style="text-decoration:underline;">COMPLAINTS: </h3>
	<p>Where the landlord is unsatisfied with any service provided by the Agent he should contact the agent in the first instance to try and resolve matters.  The agent has an in-house complaints policy which must be followed, a copy of which is available to view online or upon request.  The agent is a member of The Property Ombudsman and where the landlord is unsatisfied with the way the complaint has been handled he may refer the matter to the scheme for a further decision, details of which are available upon request from the agent. </p>
		  
	<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
					<h4 class="modal-title" id="myModalLabel">Please enter a reason why you do not wish to sign the agreement.</h4>
				</div>
				<div class="modal-body">
					<input name="reason" id="reason-popup" type="text" style="width:100%; padding-left:10px;" placeholder="Enter your reason....">
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
					<input id="e-sign-reason-submit" type="submit" class="btn btn-primary" value="Submit"/>
				</div>
			</div>
		</div>
	</div>
	<br/>
	<div class="sigPad" id="scroll">
		<label for="name">Enter your name</label>
		<input type="text" name="name" id="name" class="name" maxlength="30" placeholder="Click to enter your full name">
		<p class="email">Email: <?php echo $model->email; ?></p>
		<p class="typeItDesc">Review your signature</p>
		<p class="drawItDesc">Draw your signature</p>
		<ul class="sigNav">
			<li class="typeIt"><a href="#type-it" class="current"></a></li>
			<!--        <li class="drawIt"><a href="#draw-it" >Draw Sign</a></li>-->
			<!--        <li class="clearButton"><a href="#clear">Clear</a></li>-->
		</ul>
		<div class="sig sigWrapper">
			<div class="typed"></div>
			<canvas class="pad" width="198" height="55"></canvas>
			<input type="hidden" name="output" class="output">
			<input type="hidden" name="output-2" value="" id="image">
		</div>
	</div>
	<center>
		<?= Html::submitButton('Click here to sign', ['data-placement' => "top", 'data-popover-content' => "#a1", 'data-toggle' => "popover", 'data-trigger' => "focus", 'id' => 'email-submit-approval', 'class' => 'improve', 'name' => 'accept', 'value' => 'accept']) ?>
		<br/>
		<!-- Content for Popover #1 -->
		<div class="hidden" id="a1">
			<div class="popover-heading">
				Full Name Required
			</div>
			<div class="popover-body">
				Please Enter your Full name above
			</div>
		</div>
		<a id='reject-approval' name = 'reject' data-toggle = "modal" data-target ="#myModal" style="text-decoration: underline;cursor:pointer;">I will not e-sign this Document</a>
		<!--<button class="Disapprove">Disapprove</button>-->
	</center>
	<?php ActiveForm::end(); ?>
</div>
<br/>
<br/>
<br/>
<div class="footer_logo"> <img alt="#" src="<?php echo yii::$app->request->BaseUrl ?>/img/footer-logo.png"> </div>
<p style="text-align: center;">
    <button id="scroll-button" class="scrollup">
        Click here to go to signature box
    </button> 
</p>